"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Sentry = __importStar(require("@sentry/node"));
const fastify_plugin_1 = __importDefault(require("fastify-plugin"));
const package_json_1 = __importDefault(require("../../../package.json"));
const sentryPlugin = (fastify, opts, done) => {
    Sentry.init({
        dsn: "https://3f2af43f2e7d423b9c258ba4373e8be2@o462664.ingest.sentry.io/5466383",
        tracesSampleRate: 0.1,
        environment: process.env.NODE_ENV,
        release: package_json_1.default.version,
    });
    fastify.setErrorHandler((err, request, reply) => {
        Sentry.withScope((scope) => {
            scope.setUser({
                ip_address: request.ip,
                id: request.tokenId,
            });
            scope.setTag("path", request.raw.url);
            const exceptionId = Sentry.captureException(err, scope);
            reply.status(500).send({
                error: 500,
                message: "Internal Server Error",
                sentry: exceptionId,
            });
        });
    });
    done();
};
exports.default = fastify_plugin_1.default(sentryPlugin);
//# sourceMappingURL=sentry.js.map