"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QuietLogger = void 0;
const dx_logger_1 = require("./dx-logger");
class QuietLogger {
    started() { }
    executionErrored(job, error) {
        console.error("Caught error during execution:", error, job);
    }
    jobCreated(job) {
        if (job.id === "@cron") {
            return;
        }
        console.log(`Created Job on ${(0, dx_logger_1.getQueueName)(job.endpoint)}, #${job.id}, ${job.body.slice(0, 20)}`);
    }
    cronUpdated(crons, deleted) {
        if (crons.dryRun) {
            return;
        }
        console.log("Updated Cron jobs: " +
            crons.crons.map((c) => c.route + ": " + c.schedule).join("; "));
    }
    jobDeleted(job) {
        console.log(`Deleted job ${job.id} on ${(0, dx_logger_1.getQueueName)(job.endpoint)}`);
    }
    startingExecution(job) {
        console.log(`Starting execution of ${(0, dx_logger_1.getQueueName)(job.endpoint)}, ${job.id} ...`);
        return () => {
            console.log(`Success.`);
        };
    }
}
exports.QuietLogger = QuietLogger;
//# sourceMappingURL=quiet-logger.js.map