"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StructuredLogger = void 0;
const uuid = __importStar(require("uuid"));
const pino_1 = __importDefault(require("pino"));
class StructuredLogger {
    constructor(log = (0, pino_1.default)({
        level: process.env.LOG_LEVEL || "trace",
    })) {
        this.log = log;
    }
    started(address, telemetryEnabled) {
        this.log.info(`Listening on ${address}`);
        if (telemetryEnabled) {
            this.log.info(`
      Quirrel collects completely anonymous telemetry data about general usage,
      opt-out by setting the DISABLE_TELEMETRY environment variable.`);
        }
    }
    executionErrored(job, error) {
        this.log.error({ error, job }, "Caught error during execution");
    }
    jobCreated(job) {
        this.log.info({ job }, "Created job.");
    }
    jobDeleted(job) {
        this.log.info({ job }, "Deleted job.");
    }
    cronUpdated(crons, deleted) {
        this.log.info({ crons, deleted }, "updated crons");
    }
    startingExecution(job) {
        const child = this.log.child({ correlationId: uuid.v4() });
        child.info({ job }, "Started execution of job.");
        return () => {
            child.info({ job }, "Ended execution of job");
        };
    }
}
exports.StructuredLogger = StructuredLogger;
//# sourceMappingURL=structured-logger.js.map