"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const supertest_1 = __importDefault(require("supertest"));
const runQuirrel_1 = require("./runQuirrel");
function testAgainst(backend) {
    describe(backend + " > health", () => {
        let quirrel;
        let teardown;
        beforeAll(async () => {
            const res = await (0, runQuirrel_1.run)(backend);
            quirrel = res.server;
            teardown = res.teardown;
        });
        afterAll(async () => {
            await teardown();
        });
        test("health", async () => {
            await (0, supertest_1.default)(quirrel).get("/health").expect(200, { redis: "up" });
        });
    });
}
testAgainst("Mock");
testAgainst("Redis");
//# sourceMappingURL=health.test.js.map