"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const open_1 = __importDefault(require("open"));
function getChromeName() {
    switch (process.platform) {
        case "win32":
            return "chrome";
        case "darwin":
            return "google chrome";
        case "linux":
            return "google-chrome";
        default:
            throw new Error("OS not supported yet, please open an issue.");
    }
}
function registerUI(program) {
    program
        .command("ui")
        .description("Opens the Quirrel UI")
        .action(async () => {
        console.log("Opening Quirrel UI ...");
        (0, open_1.default)("https://ui.quirrel.dev", { app: { name: getChromeName() } });
    });
}
exports.default = registerUI;
//# sourceMappingURL=ui.js.map