"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
const runQuirrel_1 = require("../../api/test/runQuirrel");
const http = __importStar(require("http"));
const delay_1 = __importDefault(require("delay"));
const util_1 = require("./util");
test("encryption", async () => {
    const server = await (0, runQuirrel_1.run)("Mock");
    const encryptedBodies = [];
    const decryptedBodies = [];
    const jobMetadata = [];
    let quirrel;
    const endpoint = http
        .createServer((req) => {
        let body = "";
        req.on("data", (data) => {
            body += data;
        });
        req.on("end", () => {
            encryptedBodies.push(body);
            quirrel.respondTo(body, req.headers).then(({ status }) => {
                if (status === 401) {
                    decryptedBodies.push("-invalid");
                }
            });
        });
    })
        .listen(0);
    quirrel = new __1.QuirrelClient({
        async handler(body, meta) {
            jobMetadata.push(meta);
            decryptedBodies.push(body);
        },
        route: "/lol",
        config: {
            applicationBaseUrl: (0, util_1.getAddress)(endpoint),
            quirrelBaseUrl: (0, util_1.getAddress)(server.server),
            encryptionSecret: "4ws8syoOgeQX6WFvXuUneGNwy7QvLxpk",
        },
    });
    const job = await quirrel.enqueue("hello world");
    const jobAgainButFetched = await quirrel.getById(job.id);
    expect(jobAgainButFetched).not.toBeNull();
    const nonExistantJob = await quirrel.getById("non-existant");
    expect(nonExistantJob).toBeNull();
    await (0, delay_1.default)(200);
    expect(encryptedBodies).toHaveLength(1);
    expect(encryptedBodies[0].startsWith("ddb7:")).toBe(true);
    expect(decryptedBodies).toEqual(["hello world"]);
    expect(jobMetadata).toEqual([
        {
            id: job.id,
            count: 1,
            exclusive: false,
            nextRepetition: undefined,
            retry: [],
        },
    ]);
    server.teardown();
    endpoint.close();
});
test("catchDecryptionErrors", async () => {
    const decryptionErrors = [];
    const quirrel = new __1.QuirrelClient({
        async handler() { },
        route: "/",
        config: {
            applicationBaseUrl: "hello",
            quirrelBaseUrl: "lelel",
            encryptionSecret: "4ws8syoOgeQX6WFvXuUneGNwy7QvLxpk",
        },
        catchDecryptionErrors(error) {
            decryptionErrors.push(error);
        },
    });
    const result = await quirrel.decryptAndDecodeBody("This is non-decryptable");
    expect(result).toEqual("This is non-decryptable");
    expect(decryptionErrors.length).toBe(1);
});
//# sourceMappingURL=encryption.test.js.map