import { Logger } from "./logger";
import { JobDTO } from "../../client/job";
import { QueuesUpdateCronBody } from "../scheduler/types/queues/update-cron";
export declare function getQueueName(endpoint: string): string;
export declare class DxLogger implements Logger {
    started(address?: string, telemetryEnabled?: boolean): void;
    executionErrored(job: {
        tokenId: string;
        id: string;
        endpoint: string;
        body: string;
    }, error: string): void;
    jobCreated(job: JobDTO & {
        tokenId: string;
    }): void;
    cronUpdated(crons: QueuesUpdateCronBody, deleted: string[]): void;
    jobDeleted(job: JobDTO & {
        tokenId: string;
    }): void;
    startingExecution(job: {
        id: string;
        tokenId: string;
        endpoint: string;
        body: string;
    }): () => void;
}
