import { DxLogger } from "./dx-logger";
import { StructuredLogger } from "./structured-logger";
import pino from "pino";
import { QuietLogger } from "./quiet-logger";
export function getLogger(type, logger = pino({ level: process.env.LOG_LEVEL || "trace" })) {
    if (!type) {
        return undefined;
    }
    if (typeof type !== "string") {
        return type;
    }
    switch (type) {
        case "none":
            return undefined;
        case "dx":
            return new DxLogger();
        case "structured":
            return new StructuredLogger(logger);
        case "quiet":
            return new QuietLogger();
    }
}
//# sourceMappingURL=logger.js.map