import { getQueueName } from "./dx-logger";
export class QuietLogger {
    started() { }
    executionErrored(job, error) {
        console.error("Caught error during execution:", error, job);
    }
    jobCreated(job) {
        if (job.id === "@cron") {
            return;
        }
        console.log(`Created Job on ${getQueueName(job.endpoint)}, #${job.id}, ${job.body.slice(0, 20)}`);
    }
    cronUpdated(crons, deleted) {
        if (crons.dryRun) {
            return;
        }
        console.log("Updated Cron jobs: " +
            crons.crons.map((c) => c.route + ": " + c.schedule).join("; "));
    }
    jobDeleted(job) {
        console.log(`Deleted job ${job.id} on ${getQueueName(job.endpoint)}`);
    }
    startingExecution(job) {
        console.log(`Starting execution of ${getQueueName(job.endpoint)}, ${job.id} ...`);
        return () => {
            console.log(`Success.`);
        };
    }
}
//# sourceMappingURL=quiet-logger.js.map