import request from "supertest";
import { run } from "./runQuirrel";
function testAgainst(backend) {
    describe(backend + " > health", () => {
        let quirrel;
        let teardown;
        beforeAll(async () => {
            const res = await run(backend);
            quirrel = res.server;
            teardown = res.teardown;
        });
        afterAll(async () => {
            await teardown();
        });
        test("health", async () => {
            await request(quirrel).get("/health").expect(200, { redis: "up" });
        });
    });
}
testAgainst("Mock");
testAgainst("Redis");
//# sourceMappingURL=health.test.js.map