import { Command } from "commander";
import { DetectedCronJob } from "../cron-detector";
import * as z from "zod";
export declare function formatDetectedJobsAsTable(jobs: DetectedCronJob[]): string;
export declare function detectCron(cwd: string): Promise<DetectedCronJob[]>;
export declare const RouteScheduleManifestSchema: z.ZodArray<z.ZodObject<{
    route: z.ZodString;
    schedule: z.ZodEffects<z.ZodString, string, string>;
    timezone: z.ZodString;
}, "strip", z.ZodTypeAny, {
    schedule: string;
    route: string;
    timezone: string;
}, {
    schedule: string;
    route: string;
    timezone: string;
}>, "many">;
export type RouteScheduleManifest = z.TypeOf<typeof RouteScheduleManifestSchema>;
export declare function detectedJobsToRouteScheduleManifest(jobs: DetectedCronJob[]): RouteScheduleManifest;
export default function registerDetectCron(program: Command): void;
