import SuperJSON from "superjson";
export function stringify(value) {
    const { json, meta } = SuperJSON.serialize(value);
    if (!meta) {
        return JSON.stringify(json);
    }
    return JSON.stringify({
        json,
        _superjson: meta,
    });
}
export function parse(string) {
    const parsedJSON = JSON.parse(string);
    if (typeof parsedJSON === "object" && (parsedJSON === null || parsedJSON === void 0 ? void 0 : parsedJSON._superjson)) {
        return SuperJSON.deserialize({
            json: parsedJSON.json,
            meta: parsedJSON._superjson,
        });
    }
    return parsedJSON;
}
//# sourceMappingURL=enhanced-json.js.map